org.apache.commons.math3.ode

## Class MultistepIntegrator.InitializationCompletedMarkerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math3.ode.MultistepIntegrator.InitializationCompletedMarkerException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    MultistepIntegrator

      private static class MultistepIntegrator.InitializationCompletedMarkerException
      extends RuntimeException

  Marker exception used ONLY to stop the starter integrator after first step.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultistepIntegrator.InitializationCompletedMarkerException()` Simple constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultistepIntegrator.InitializationCompletedMarkerException

          public MultistepIntegrator.InitializationCompletedMarkerException()

      Simple constructor.

Copyright (c) 2003-2013 Apache Software Foundation